### Function

# Msg Service parse_response

#### Declaration [src]

    JsonParser*
    msg_service_parse_response (
      GBytes* bytes,
      JsonObject** object,
      GError** error
    )

#### Description [src]

Parse response data and check for errors. In case no errors are found, return json root object.

#### Parameters

`bytes`

  Type: `GBytes`

  Input bytes containing response buffer.

  The data is owned by the caller of the function.

`object`

  Type: `JsonObject`

  A pointer to the returning root object.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `JsonParser`

A `JsonParser`.

The caller of the function takes ownership of the data, and is responsible for freeing it.